
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.SerializedName;

@SuppressWarnings("unused")
public class AppleRawAdapterDetail {

    @SerializedName("AdapterID")
    private Long adapterID;
    @SerializedName("AdapterVoltage")
    private Long adapterVoltage;
    @SerializedName("Current")
    private Long current;
    @SerializedName("Description")
    private String description;
    @SerializedName("FamilyCode")
    private Long familyCode;
    @SerializedName("IsWireless")
    private Boolean isWireless;
    @SerializedName("PMUConfiguration")
    private Long pMUConfiguration;
    @SerializedName("SharedSource")
    private Long sharedSource;
    @SerializedName("Source")
    private Long source;
    @SerializedName("Watts")
    private Long watts;

    public Long getAdapterID() {
        return adapterID;
    }

    public void setAdapterID(Long adapterID) {
        this.adapterID = adapterID;
    }

    public Long getAdapterVoltage() {
        return adapterVoltage;
    }

    public void setAdapterVoltage(Long adapterVoltage) {
        this.adapterVoltage = adapterVoltage;
    }

    public Long getCurrent() {
        return current;
    }

    public void setCurrent(Long current) {
        this.current = current;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getFamilyCode() {
        return familyCode;
    }

    public void setFamilyCode(Long familyCode) {
        this.familyCode = familyCode;
    }

    public Boolean getIsWireless() {
        return isWireless;
    }

    public void setIsWireless(Boolean isWireless) {
        this.isWireless = isWireless;
    }

    public Long getPMUConfiguration() {
        return pMUConfiguration;
    }

    public void setPMUConfiguration(Long pMUConfiguration) {
        this.pMUConfiguration = pMUConfiguration;
    }

    public Long getSharedSource() {
        return sharedSource;
    }

    public void setSharedSource(Long sharedSource) {
        this.sharedSource = sharedSource;
    }

    public Long getSource() {
        return source;
    }

    public void setSource(Long source) {
        this.source = source;
    }

    public Long getWatts() {
        return watts;
    }

    public void setWatts(Long watts) {
        this.watts = watts;
    }

}
